# List webhook subscriptions

> Retrieve a paginated list of webhook subscriptions.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/webhook_subscriptions`

Retrieves the collection of WebhookSubscription resources.

Returns a paginated collection of the webhook subscriptions of the current tenant. Filter by `id[]`. Requires the `webhooks:read` scope. This endpoint is only available in the `unstable` version.

## Query parameters

| Name           | Type       | Required | Description                                                                                                                                                                                                                                                                          |
| -------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `page`         | `integer`  | -        | The collection page number                                                                                                                                                                                                                                                           |
| `itemsPerPage` | `integer`  | -        | The number of items per page                                                                                                                                                                                                                                                         |
| `properties[]` | `string[]` | -        | Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty} |
| `id[]`         | `string[]` | -        | Only the items with one of these ids, each a UUID or the item IRI.                                                                                                                                                                                                                   |

## Response

**200** - WebhookSubscription collection

| Property     | Type                    | Required | Description |
| ------------ | ----------------------- | -------- | ----------- |
| `search`     | `object`                | -        |             |
| `totalItems` | `integer`               | -        |             |
| `view`       | `object`                | -        |             |
| `member`     | `WebhookSubscription[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more permissions required for this operation.

| Property             | Type               | Required | Description                                                                                                            |
| -------------------- | ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| `@context`           | `string \| object` | -        |                                                                                                                        |
| `@id`                | `string`           | Yes      |                                                                                                                        |
| `@type`              | `string`           | Yes      |                                                                                                                        |
| `detail`             | `string`           | -        |                                                                                                                        |
| `missingPermissions` | `string[]`         | -        | Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission. |
| `status`             | `integer`          | -        |                                                                                                                        |
| `title`              | `string`           | -        |                                                                                                                        |
| `type`               | `string`           | -        |                                                                                                                        |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/webhook_subscriptions' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: unstable' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "search": {
    "@type": "string",
    "mapping": [
      {
        "@type": "string",
        "property": "string",
        "required": true,
        "variable": "string"
      }
    ],
    "template": "string",
    "variableRepresentation": "string"
  },
  "totalItems": 0,
  "view": {
    "@id": "string",
    "@type": "string",
    "first": "string",
    "last": "string",
    "next": "string",
    "previous": "string"
  },
  "member": [
    null
  ]
}
```
